/*this is a do file for logistic regressions on peace treaties*/

/*Model 1:  includes a variable for whether one dyad member declares war, using systemic law of war variable*/

logit peacetreaty lawofwar onedeclares newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
logistic peacetreaty lawofwar onedeclares newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
lstat


/*Model 2: substitute ratifications variable*/

logit peacetreaty jointlawratificationsmean newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
logistic peacetreaty jointlawratificationsmean newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
lstat

/*Model 3: add in un*/

logit peacetreaty lawofwar  newvictory territory un FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
logistic peacetreaty lawofwar  newvictory territory un FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
lstat

/*Model 4: test hypothesis on cultural violation, using whichver violation score was higher as the score for the dyad*/

logit peacetreaty lawofwar greaterculturalviolator un territory FIRC  noregimestatedeath neithergreat onegreat duration  if include==1, robust cluster(warnum)
logistic peacetreaty lawofwar greaterculturalviolator un territory FIRC  noregimestatedeath neithergreat onegreat duration  if include==1, robust cluster(warnum)
lstat


/*Model 5: control for cowendyr, but drop non-significant variables*/

logit peacetreaty lawofwar   territory   noregimestatedeath neithergreat onegreat  cowendyr if include==1, robust cluster(warnum)
logistic peacetreaty lawofwar   territory   noregimestatedeath neithergreat onegreat  cowendyr if include==1, robust cluster(warnum)
lstat

/*Model 6: unsc resolutions as peace treaties*/

logit respeacetreaty lawofwar newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
logistic respeacetreaty lawofwar newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
lstat

/*Tests for Robustness*/

/* just with lawofwar systemic variable*/

logit peacetreaty lawofwar newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
logistic peacetreaty lawofwar newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
lstat


/*now, replace un with intlorg*/
logit peacetreaty lawofwar  newvictory territory intlorg FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
logistic peacetreaty lawofwar  newvictory territory intlorg FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
lstat

/*now, test hypothesis on cultural violation, using mean of violation scores*/

logit peacetreaty lawofwar overallculturalmean un territory FIRC  noregimestatedeath neithergreat onegreat duration  if include==1, robust cluster(warnum)
logistic peacetreaty lawofwar overallculturalmean un territory FIRC  noregimestatedeath neithergreat onegreat duration  if include==1, robust cluster(warnum)
lstat

/*robustness tests*/

/*exclude world wars*/

logit peacetreaty lawofwar  newvictory territory un FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1 & warnum!=106 & warnum!=139, robust cluster(warnum)
logistic peacetreaty lawofwar  newvictory territory un FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1 & warnum!=106 & warnum!=139, robust cluster(warnum)
lstat

/*exclude all but principal belligerents*/

logit peacetreaty lawofwar  newvictory territory un FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1 & pridyad==1, robust cluster(warnum)
logistic peacetreaty lawofwar  newvictory territory un FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1 & pridyad==1, robust cluster(warnum)
lstat

/*use log of duration instead of duration*/

logit peacetreaty lawofwar  newvictory territory un FIRC jointpolity noregimestatedeath neithergreat onegreat durationlogged if include==1, robust cluster(warnum)

/*highest level of ratifications, rather than mean*/
logit peacetreaty jointlowratificationshigh newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
logistic peacetreaty jointlowratificationshigh newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1, robust cluster(warnum)
lstat

/*drop 1970s*/
logit peacetreaty lawofwar onedeclares newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1 & seventies==0, robust cluster(warnum)
logistic peacetreaty lawofwar onedeclares newvictory territory FIRC jointpolity noregimestatedeath neithergreat onegreat duration if include==1 & seventies==0, robust cluster(warnum)
lstat
